* {
  box-sizing: border-box;
}

body {
  background: #ccc;
  display: none;
}

table {
  background: white;
}

#Main {
  margin: auto;
}

.month {
  width: 900px;
}

.month .name {
  border-bottom: 1px solid #ddd;
}

.month .name span {
  font-size: 85%;
}

.month .name .time {
  float: right;
  color: gray;
  white-space: nowrap;
}

.month select, .month option {
  font: 14px lucida console;
  background: #333;
  color: white;
  width: 8em;
  border: none;
  padding: 0.5em;
}

.month th, .month caption {
  background: #333;
  color: #eee;
}

.month td {
  height: 120px;
  width: calc(100% / 7);
  border-right: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
  padding: 0.5em;
  padding-top: 1.5em;
  vertical-align: top;
  position: relative;
}

.month td:empty {
  height: 0;
  padding: 0;
  background: #eee;
}

.month .day {
  position: absolute;
  right: 5px;
  top: 5px;
  color: #888;
  font-size: 90%;
}

.month tr > *:nth-child(1),
.month tr > *:nth-child(7) {
  display: none;
}

.month img {
  max-width: 100%;
  max-height: 100%;
  display: block;
  margin: auto;
}

#Prev {
  float: left;
}

#Next {
  float: right;
}

#Prev, #Next {
  padding: 0.5em;
  font-weight: bold;
  color: gray;
  cursor: pointer; 
}

.today {
  background: lightyellow;
  outline: 2px solid black;
}

.unapproved {
  background: #ddd;
  padding: 0.3em;
}

.unapproved {
  color: brown;
}

.pending {
  text-align: right;
  font-style: italic;
  font-size: 85%;
}

.noborder {
  border: none;
  padding: 0;
}

.noborder > *:not(button) > *:not(button) > *:not(button) {
  border: none;
}

#Main td {
  vertical-align: top;
}

td.login {
  padding: 1em;
  background: #def;
  width: 25em;
}

div.loggedin {
  display: none;
}

input:focus, textarea:focus, #Request select:focus {
  background: yellow;
}

#Name {
  font-weight: bold;
  color: green;
}

#Logout {
  float: right;
}

img.add {
  position: absolute;
  top: 0.2em;
  left: 0.2em;
  width: 16px;
}

img.add {
  display: none;
}

.loggedin img.add {
  display: inline;
}

#Request h2 {
  color: navy;
  font-size: 120%;
  text-align: center;
}

#Request {
  background: #eee;
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  zleft: 50%;
  ztransform: translateX(-50%);
  z-index: 1;
  width: 50em;
  margin: auto;
  padding: 1em;
  border: 1px solid #bbb;
  box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);
  border-radius: 10px;
}

#Request table {
  background: #eee;
}

#Request p {
  text-align: center;
}

#Request button {
  font-size: 150%;
  margin: 2em;
}

.disabled {
  pointer-events: none;
  opacity: 0.3;
}

#Request textarea {
  height: 5em;
  width: 100%;
}

#Request td:nth-child(2) {
  width: 90%;
}

#Time1, #Time2 {
  width: 6em;
}

.me {
  outline: 2px solid green;
  padding: 2px;
}

#Pending {
  background: white;
  border: 1px solid #666;
  padding: 0.5em;
  white-space: nowrap;
  display: none;
}

#Pending table {
  width: 100%;
}

#Pending th[colspan] {
  background: #eee;
  padding: 0.5em;
}

#Pending button[data-id] {
  float: right;
}

#Pending tr.all th {
  background: #999;
}

#Main caption {
  caption-side: top;
  text-align: center;
}

#fluid2, .main {
  background: #ddd !important;
}

.supervisor:hover {
  outline: 1px solid red;
  cursor: pointer;
}

.stealthy {
  left: 0;
  margin: 0;
  max-height: 1px;
  max-width: 1px;
  opacity: 0;
  outline: none;
  overflow: hidden;
  pointer-events: none;
  position: absolute;
  top: 0;
  z-index: -1;
}